### Class

# GdkPixbuf.PixbufSimpleAnim

#### Description [src]

    final class GdkPixbuf.PixbufSimpleAnim : GdkPixbuf.PixbufAnimation {
      /* No available fields */
    }

An opaque struct representing a simple animation.

#### Ancestors

- GdkPixbufAnimation

#### Constructors

###### gdk_pixbuf_simple_anim_new

Creates a new, empty animation.

#### Instance methods

###### gdk_pixbuf_simple_anim_add_frame

Adds a new frame to `animation`. The `pixbuf` must have the dimensions specified when the animation was constructed.

###### gdk_pixbuf_simple_anim_get_loop

Gets whether `animation` should loop indefinitely when it reaches the end.

###### gdk_pixbuf_simple_anim_set_loop

Sets whether `animation` should loop indefinitely when it reaches the end.

##### Methods inherited from GdkPixbufAnimation (7)

###### gdk_pixbuf_animation_get_height

Queries the height of the bounding box of a pixbuf animation.

###### gdk_pixbuf_animation_get_iter

Get an iterator for displaying an animation.

###### gdk_pixbuf_animation_get_static_image

Retrieves a static image for the animation.

###### gdk_pixbuf_animation_get_width

Queries the width of the bounding box of a pixbuf animation.

###### gdk_pixbuf_animation_is_static_image

Checks whether the animation is a static image.

###### gdk_pixbuf_animation_ref

Adds a reference to an animation.

Deprecated since: 2.0

###### gdk_pixbuf_animation_unref

Removes a reference from an animation.

Deprecated since: 2.0

#### Properties

###### GdkPixbuf.PixbufSimpleAnim:loop

Whether the animation should loop when it reaches the end.

#### Class structure

    struct GdkPixbufPixbufSimpleAnimClass {
      /* no available fields */
    }